<a class="pagetitle" href="tiki-urlt_admin.php">{tr}Administer URL Translations{/tr}</a>
<!-- the help link info -->
                                                                                                                             
      {if $feature_help eq 'y'}
<a href="{$helpurl}URLtDoc" target="tikihelp" class="tikihelp" title="{tr}Administer URL Translations{/tr}">
<img border='0' src='img/icons/help.gif' alt='help' /></a>{/if}
                                                                                                                             
<!-- link to tpl -->
                                                                                                                             
      {if $feature_view_tpl eq 'y'}
<a href="tiki-edit_templates.php?template=templates/tiki-urlt_admin.tpl" target="tikihelp" class="tikihelp" title="{tr}View tpl{/tr}: {tr}Admin URLt tpl{/tr}">
<img border='0' src='img/icons/info.gif' alt='edit tpl' /></a>{/if}
                                                                                                                             
<!-- beginning of next bit -->
<p>
<a href="tiki-urlt_edit_in.php">Edit Incoming URLt</a> &nbsp;
<a href="tiki-urlt_edit_out.php">Edit Outgoing URLt</a> &nbsp;
<a href="tiki-urlt_admin.php">Administer URLt</a>
</p>

<p>
{tr}This page allows you to administer the URL translation facility. This is an
advanced feature that requires in-depth knowledge of Tiki, HTML URLs and browser
requests. It's also a facility that, if misconfigured, can easily render an
entire site inaccessible. Efficiency is also important, as every request made
to the server passes through incoming URLt and every page returned is extensively
processed by outgoing URLt.
{/tr}
</p>
<p>
{tr}For incoming URLs to work, requests to the incoming URL must be passed to
tiki-urlt.php. This will almost certainly require some web server configuration.
Most web servers can use a custom Error Document, Apache users can use mod_rewrite
to achieve the same thing (slightly more efficiently).
{/tr}
</p>

{if $urlt_message != ""}
<p>
<font color="red"><b>
{tr}{$urlt_message}{/tr}
</b></font>
</p>
{/if}


<form action="tiki-urlt_admin.php" method="post">
<table border="0"><tr><td>

<table border="0">
<tr><th>
{tr}Incoming URLt{/tr}
</th><th>
{tr}Value{/tr}
</th></tr>
<tr><td>
{tr}Enabled?{/tr}
</td><td>
<input type="checkbox" name="urlt_in_enabled" value="yes" {if $urlt_in_enabled}checked="checked"{/if}/>
</td></tr>
<tr><td>
{tr}Cache Read Time{/tr}
</td><td>
<input type="text" size="3" name="urlt_in_cache_time" value="{$urlt_in_cache_time}"/> {tr}seconds{/tr}
</td></tr>
<tr><td>
{tr}Page Not Found URL{/tr}
</td><td>
<input type="text" size="20" name="urlt_in_notfound_page" value="{$urlt_in_notfound_page}"/>
</td></tr>
<tr><td>
{tr}Translation Error URL{/tr}
</td><td>
<input type="text" size="20" name="urlt_in_error_page" value="{$urlt_in_error_page}"/>
</td></tr>
<tr><td>
{tr}Default Non-PHP MIME Type{/tr}
</td><td>
<input type="text" size="20" name="urlt_in_default_mime" value="{$urlt_in_default_mime}"/>
</td></tr>
</table>

<br/>

<table border="0">
<tr><th>
{tr}Outgoing URLt{/tr}
</th><th>
{tr}Value{/tr}
</th></tr>
<tr><td>
{tr}Enabled?{/tr}
</td><td>
<input type="checkbox" name="urlt_out_enabled" value="yes" {if $urlt_out_enabled}checked="checked"{/if}/>
</td></tr>
<tr><td>
{tr}Cache Read Time{/tr}
</td><td>
<input type="text" size="3" name="urlt_out_cache_time" value="{$urlt_out_cache_time}"/> {tr}seconds{/tr}
</td></tr>
</table>

<br/>

<b>{tr}Non-PHP Mime Types{/tr}</b><br/>

<table border="0">
<tr><th>
File Extension
</th><th>
Mime Type
</th><th>
Delete?
</th></tr>
{section loop=$urlt_mime_types name=item}
<tr><td align="center">
<input type="hidden" name="configid[]" value="{$urlt_mime_types[item].configid}">
<input type="text" size="5" name="extension[]" value="{$urlt_mime_types[item].extension}"/>
</td><td align="center">
<input type="text" size="20" name="mimetype[]" value="{$urlt_mime_types[item].mimetype}"/>
</td><td>
<input type="checkbox" name="delete_{$urlt_mime_types[item].configid}" value="yes"/>
</td></tr>
<tr><td>&nbsp;</td></tr>
{/section}
<tr><td align="center">
<input type="text" size="5" name="extension_new"/>
</td><td align="center">
<input type="text" size="20" name="mimetype_new"/>
</td><td align="center">
(New)
</td></tr>
<tr><td>&nbsp;</td></tr>
</table>
<p align="center">
<input type="submit" value="Update"/>
<input type="reset" value="Reset"/><br/>
</p>

</td></tr></table>
</form>
<p>
<b>{tr}URLt Enable{/tr}</b><br/>
{tr}This switches URLt on and off. This can be useful for testing, but be careful when disabling
as this may leave your system unusable!{/tr}
</p>
<p>
<b>{tr}Cache Read Time{/tr}</b><br/>
{tr}When URLt runs, it caches the Regex information it reads. This can dramatically increase
performance and reduce database load. However, changes made to the Regex configuration will
take this time to become effective. Set this to 1 for development, and higher numbers (10, 30 etc) for
running systems.{/tr}
</p>
<p>
<b>{tr}Page Not Found URL{/tr}</b><br/>
{tr}If incoming URLt cannot find a file at the translated location, an error is returned. This
setting allows the administrator to customise that response. This works something like an
Error Document in web server configuration. Note: The URL is not translated when used, so
it must be a real location on the system.{/tr}
</p>
<p>
<b>{tr}Translation Error URL{/tr}</b><br/>
{tr}Occasionally a misconfigration will prevent URLt from working properly. In this case an
error is returned, which can be customised with this setting. The URL is not translated
so must be a real location on the system.{/tr}
</p>
<p>
<b>{tr}Default Non-PHP Mime Type{/tr}</b><br/>
{tr}If the translated URL points to a non-PHP file, URLt can still use it. To do this, URLt
has to look up the MIME Type of the file. This setting is used if no MIME Type can be found
for the request. Defaults to text/plain if left blank.{/tr}
</p>
<p>
<b>{tr}Non-PHP Mime Types{/tr}</b><br/>
{tr}If URLt has to return a non-PHP page, it has to determine the MIME Type of the file. This
table is used to do this. If possible, configure your system to use real files for non-PHP
content, rather than having URLt return it. Your web server is far faster and more efficient
at this than URLt!{/tr}
</p>

